package ai.think360.algo360pfm.work

import `in`.thinkanalytics.algo360SDK.Algo360_SDK_Init
import android.content.Context
import androidx.work.Worker
import androidx.work.WorkerParameters

class AfterMarketWork(context: Context, workerParams: WorkerParameters) : Worker(
    context,
    workerParams
) {
    override fun doWork(): Result {

        // Do the work here
        Algo360_SDK_Init.startAlgo360(
            applicationContext,
            Algo360_SDK_Init.TESTING_ENV,
            Algo360_SDK_Init.ENABLE_PRINT
        )
        // Indicate whether the work finished successfully with the Result
        return Result.success()
    }

}